@font-face {font-family: "Ioskeley Mono"; src: url("./IoskeleyMono-Medium.woff2") format("woff2"); font-weight: 500; font-style: normal; font-display: swap;}
* {margin: 0; padding: 0; box-sizing: border-box; font-family: "Ioskeley Mono", monospace;font-size: 20px;}

:root {
	--C1: #6194b2;
	--C2: #f5f1e6;
	--C260-C140: color-mix(in srgb, var(--C2) 60%, var(--C1) 40%);
	--C280-C120: color-mix(in srgb, var(--C2) 80%, var(--C1) 20%);
}

html {
	scroll-behavior: smooth;
}

body {
	background-color: var(--C1);
}

body > * {
	padding: .7rem;
}

.color-C1 {color: var(--C1); background-color: var(--C2)}
.color-C2 {color: var(--C2); background-color: var(--C1)}

header {
	display: flex;
	align-items: center;
	justify-content: space-between;
	height: 3rem;
	padding: 0 .7rem;
}

#main-text {
	line-height: 60px;
	font-size: 45px;
	& > p {
		color: #61b266;
		font-size: 45px;
	}
}

.page1 {
	justify-content: space-between;
	height: calc(100svh - 3rem);
}

.control {
	position: absolute;
	bottom: 1.7rem;
	display: flex;
}

.cards {
	margin-top: 1rem;
	display: grid;
	grid-template-columns: 1fr;
	gap: 1rem;
	& > div {
		display: flex;
		flex-direction: column;
		justify-content: space-between;
	}
}

h1 {
	font-size: 36px;
}
h2 {
	font-size: 24px;
}

main.color-C2 {margin: .7rem 0}

.card1 {
	padding: .5rem;
	border-radius: .5rem;
	h2 {
		margin-bottom: .5rem;
	}
}

.card2 {
	padding: 1rem .5rem;
	border-radius: 1rem;
	ul > li {
		margin-top: .5rem;
		display: flex;
		gap: .5rem;
	}
	a {
		text-align: center;
		margin-top: .5rem;
		width: 100%;
	}
	b {
		font-size: 26px;
	}
	.bor {
		border-top: 2px var(--C2) dashed;
		border-bottom: 2px var(--C2) dashed;
		padding: .5rem 0;
		margin: .5rem 0;
	}
}

.flag {
	width: 1.5em;
	border-radius: 8px;
}

.icon {
	display: inline-block;
	width: 25px;
	height: 25px;
	background-color: var(--C2);
}

.i-tel {mask: url('icons/tel.svg') no-repeat center / contain;}
.i-wor {mask: url('icons/wor.svg') no-repeat center / contain;}
.i-wifi {mask: url('icons/wifi.svg') no-repeat center / contain;}

footer {
	text-align: center;
}

a {
	cursor: pointer;
	display: block;
	padding: .5rem 1rem;
	border-radius: 1rem;
	font-weight: bold;
	text-decoration: none;
	transition: background-color 0.4s ease;
	&:hover {
		background-color: var(--C280-C120);
	}
}

.a1 {
	border: var(--C1) solid 2px;
	color: var(--C1);
}

@media (min-width: 712px) {
	main {
		border-radius: 1rem;
	}
	.cards {
		grid-template-columns: 1fr 1fr;
	}
}

@media (min-width: 1200px) {
	body {
		width: 900px;
		margin: auto;
	}
	main {
		border-radius: 1rem;
	}
	.cards {
		grid-template-columns: 1fr 1fr;
	}
	#main-text {
		margin-top: 5rem;
	}
}